Add Interface

- « Componere\Abstract\Definition

- Componere\Abstract\Definition::addMethod »

- PHP Manual
- Componere\Abstract\Definition
- Add Interface

# Componere\Abstract\Definition::addInterface

(Componere 2 >= 2.1.0)

Componere\Abstract\Definition::addInterface — Add Interface

### Description

public Componere\Abstract\Definition::addInterface(string `$interface`): Definition

Shall implement the given interface on the current definition

### Parameters

`interface`

  The case insensitive name of an interface

### Return Values

The current Definition

### Exceptions

Warning

Shall throw RuntimeException if Definition was registered